--------------------------------------------------------------------------------
-- [VHDL Praktikum SS2004]
--
-- Aufgabe 3:     Minima-Rechenwerk
-- Entity:        E_MINIMA (Top-Level-Entity)               
--
-- Andreas Schibilla (ii4900)
--------------------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;


entity E_VERZOEGERN is    
    port (
        CLK:         in  std_logic;
        B_IMPULS:    in  std_logic;
        S_IN:        in  std_logic;
        S_OUT:       out std_logic
    );
end E_VERZOEGERN;


architecture A_VERZOEGERN of E_VERZOEGERN is
signal INT_S   : std_logic;

begin      
 S_OUT <= INT_S;
 
 P1: process(CLK, B_IMPULS)
 begin
   if B_IMPULS = '1' then
      INT_S <= '0';
   elsif rising_edge(CLK) then
      INT_S <= S_IN;
   end if;
 end process P1; 
 
end A_VERZOEGERN;




